Subject: RE:

From: Carlisle Adams <[email-masked]>
Date: Wed, 29 Aug 2001 10:32:37 -0400

Hi,

> ----------
> From: 	li yunfeng[SMTP:[email-masked]]
> Sent: 	Wednesday, August 29, 2001 3:00 AM
> To: 	[email-masked]
> Cc: 	[email-masked]
> 
> 
> Dear peter:
> When I program the PKIX protocal, I found I have to
> process the PBMParamenter struct in which there are a
> member "mac AlgorithmIdentifier".Rfc2510 said that one
> have to give the DES-MAC or TRIPLE-DES-MAC's oid in
> the "mac" field. But I could not found the
> TRIPLE-DES-MAC's OID in your docunment dunmoid.* so I
> want to know what OID should I give to the "mac"
> field.
 
Actually, according to Appendix B2, the MAC to use in PasswordBasedMac is
HMAC (and the OID is provided).

Carlisle.